Improve this Doc View Source

Serializes input into a JSON-formatted string. Properties with leading $$ characters will be stripped since angular uses this notation internally.

## Usage

`angular.toJson(obj, pretty);`

### Arguments

Param | Type | Details
--- | --- | ---
obj | Object Array Date string number | Input to be serialized into JSON.
pretty (optional) | boolean number | If set to true, the JSON output will contain newlines and whitespace. If set to an integer, the JSON output will contain that many spaces per indentation. (default: 2)

### Returns

string undefined | JSON-ified string representing `obj`.